curl -X POST "https://api.scanova.io/qr-assets/text-logo/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{
"text": "SALE",
"is_bold": true,
"color": "FF0000",
"font_size": 120,
"font_family": "Arial"
}'
{
"id": 5,
"text": "SALE",
"is_bold": true,
"is_italic": false,
"color": "FF0000",
"font_size": 120,
"font_family": "Arial",
"has_user": true,
"modified": "2026-09-01T10:00:00Z"
}
Recursos de QR
Crear una plantilla de logo de texto
POST /qr-assets/text-logo/
POST
/
qr-assets
/
text-logo
/
curl -X POST "https://api.scanova.io/qr-assets/text-logo/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{
"text": "SALE",
"is_bold": true,
"color": "FF0000",
"font_size": 120,
"font_family": "Arial"
}'
{
"id": 5,
"text": "SALE",
"is_bold": true,
"is_italic": false,
"color": "FF0000",
"font_size": 120,
"font_family": "Arial",
"has_user": true,
"modified": "2026-09-01T10:00:00Z"
}
Guarda una nueva plantilla de logo de texto, en el host de la API de gestión (
El logo creado siempre pertenece a esta cuenta —
api.scanova.io), autenticado con su clave de API de gestión sin procesar.
POST https://api.scanova.io/qr-assets/text-logo/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
string
requerido
El texto del logo, máximo 20 caracteres.
boolean
predeterminado:"false"
Estilo negrita.
boolean
predeterminado:"false"
Estilo cursiva.
string
predeterminado:"000000"
Color hexadecimal, sin el prefijo
#, máximo 10 caracteres.integer
predeterminado:"100"
Tamaño de fuente.
string
predeterminado:"Arial"
Nombre de la familia de fuentes, máximo 100 caracteres.
curl -X POST "https://api.scanova.io/qr-assets/text-logo/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{
"text": "SALE",
"is_bold": true,
"color": "FF0000",
"font_size": 120,
"font_family": "Arial"
}'
{
"id": 5,
"text": "SALE",
"is_bold": true,
"is_italic": false,
"color": "FF0000",
"font_size": 120,
"font_family": "Arial",
"has_user": true,
"modified": "2026-09-01T10:00:00Z"
}
has_user se devuelve como true.
Relacionado
- Listar plantillas de logo de texto — ver logos guardados y predeterminados.
- Eliminar una plantilla de logo de texto — eliminar este logo.
- Resumen de la API de gestión — el esquema de autenticación y las reglas de cuota aplicables a este endpoint.
Autorizaciones
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
Respuesta
201 - application/json
Text logo created.
¿Esta página le ayudó?